#ifndef _BUMPMAP_H_
#define _BUMPMAP_H_

#include <fstream>
#include <stdio.h>
#include <Windows.h>
#include <math.h>

#include "Vector3.h"

class BumpMap
{
public:
	BumpMap();

	bool Initialize(char* filename);
	void Shutdown();

	Vector3 SampleBumpMap(double tu, double tv);

private:
	bool LoadBumpMap(char* filename);

private:
	Vector3* m_bumpMap;
	int m_bumpMapWidth, m_bumpMapHeight;
};
#endif