#ifndef _FONT_H_
#define _FONT_H_

#include "Model.h"

class Font
{
private:
	struct FontType
	{
		float left, right;
		int size;
	};

public:
	bool Initialize(char* textureFilename, char* dataFilename);
	bool GetCharCoordinates(char character, float& left, float& right, float& size);
	GLuint GetFontTexture();

private:
	void LoadTexture(char* textureFilename);
	bool LoadFontData(char* dataFilename);

private:
	FontType* m_Font;
	GLuint m_Texture;

};

#endif