#ifndef _FONTMODEL_H_
#define _FONTMODEL_H_

#include "Model.h"
#include "Font.h"

class FontModel : public Model
{
public:
	bool Initialize(Font* font, char* sentence, float posX, float posY, float r, float g, float b);
	void Render();
	void RenderHierarchy();
	void UpdateSentence(char* sentence);
	void UpdateFont(Font* font);
	void SetTextRGB(float r, float g, float b);

private:
	void BuildVertexArray();

private:
	Font* m_font;
	char* m_sentence;
	float m_textR, m_textG, m_textB;
};


#endif