// Input class

#include "Input.h"

void Input::SetKeyDown(WPARAM key)
{
	keys[key] = true;
}

void Input::SetKeyUp(WPARAM key)
{
	keys[key] = false;
}

bool Input::isKeyDown(int key)
{
	return keys[key];
}

void Input::setMouseX(int pos)
{
	mouse.prevX = mouse.x;
	mouse.x = pos;
}

void Input::setMouseY(int pos)
{
	mouse.prevY = mouse.y;
	mouse.y = pos;
}

int Input::getMouseX()
{
	return mouse.x;
}

int Input:: getMouseY()
{
	return mouse.y;
}

int Input::getMousePrevX()
{
	return mouse.prevX;
}

int Input::getMousePrevY()
{
	return mouse.prevY;
}

