#ifndef _SKYBOXMODEL_H_
#define _SKYBOXMODEL_H_

#include "Model.h"
#include "SkyplaneModel.h"
#include "utility_math.h"

class SkyboxModel : public Model
{
public:
	bool Initialize();
	void Render();
	void Shutdown();
	void Frame(float dt);

private:
	bool LoadSkyDome(char* filename);
	void InitializeSkyPlanes();

private:
	SkyPlaneModel* m_cloudPlane;
	float m_apexColor[4], m_centerColor[4];
};

#endif